//nalezy podac 33x %p i na koncu %s
#include <stdio.h>
#include <string.h>
#include <conio.h>

int main(int argc, char **argv)
{
   int hiddennumber=666;
   char *hiddenpassword="martwy pingwin";
   int i=3;
   int j=4;
    int k=5;
    int l=6;
    char buf[64];
    //scanf("%s",&buf);
        gets(buf);
        //strcpy(buf,"\x40\xff\x18\xbb%p");
    printf(buf);
        printf("\nbufsize= %d",strlen(buf));
        printf("\nl=%d hex %x :%p",l,l,&l);
        printf("\nl=%d hex %x :%p",k,k,&k);
        printf("\nl=%d hex %x :%p",j,j,&j);
        printf("\nl=%d hex %x :%p",i,i,&i);
        printf("\nh1=%p",&hiddenpassword);
        printf("\nh2=%p",&hiddennumber);
        getch();
    
return 0;
}
